rdbomb(6)

NAME
rd-bomb - reaction/diffusion textures

SYNOPSIS
rd-bomb [--display host:display.screen] [--foreground color] [--background color] [--window] [--root] [--window-id number][--install] [--visual visual] [--width n] [--height n] [--reaction n] [--diffusion n] [--size f] [--speed f] [--delay millisecs] [--fps]

DESCRIPTION
The rd-bomb program draws reaction/diffusion textures.

OPTIONS
If one of the reaction, diffusion, radius, and palette options is set to a negative value, then that option will be set to a random appropriate value. Be sure to try "-speed 1 -size 0.1 -epoch 3000". rd-bomb accepts the following options:

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--window-id number
    Draw on the specified window.

--install
    Install a private colormap for the window.

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--width n

--height n
    Specify the size of the tile, in pixels.

--reaction n

--diffusion n
    These are constants in the equations that effect its visual nature. Each may be one of 0, 1, or 2. Default is -1: these constants are chosen randomly.

--radius n
    Size of the seed.

--size f
    What fraction of the window is actively drawn, a floating point number between 0 (exclusive) and 1 (inclusive). Default is 1.0.

--speed f
    When a fraction of the screen is active, the active area moves at this rate (a floating point number). Default is zero. Suggested value: 1.0.

--delay millisecs
    How many milliseconds to delay between frames; default 1, or about 1/1000th of a second.

--fps
    Display the current frame rate and CPU load.

HISTORY
The code is derived from the 'd' mode of the "Bomb" visual musical instrument, also by Scott Draves. The equations come from Xmorphia, which is based on a version of the Gray-Scott model taken from:

John E. Pearson "Complex Patterns in a Simple System"
Science, 261,189, 9 July 1993.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

SEE ALSO
X(1), xscreensaver(1),
https://scottdraves.com/bomb.html
https://web.archive.org/web/19981206145216/http%3A//www.ccsf.caltech.edu/ismap/image.html

COPYRIGHT
Copyright © 1997 by Scott Draves. Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation.

AUTHOR
Scott Draves <spot@cs.cmu.edu>, Sep 1997